#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 24. Graphical Environments

- Prev

  xcb-proto-1.17.0

- Next

  Xorg Libraries

- Up
- Home

# libxcb-1.17.0

## Introduction to libxcb

The libxcb package provides an interface to the X Window System protocol, which replaces the current Xlib interface. Xlib can also use XCB as a transport layer, allowing software to make requests and receive responses with both.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://xorg.freedesktop.org/archive/individual/lib/libxcb-1.17.0.tar.xz

- Download MD5 sum: 96565523e9f9b701fcb35d31f1d4086e

- Download size: 448 KB

- Estimated disk space required: 30 MB (with tests, add 62 MB for doxygen docs)

- Estimated build time: 0.2 SBU (with tests, add 1.4 SBU for doxygen docs)

### libxcb Dependencies

#### Required

libXau-1.0.12 and xcb-proto-1.17.0

#### Recommended

libXdmcp-1.1.5

#### Optional

Doxygen-1.13.2 (to generate API documentation) and libxslt-1.1.42

## Installation of libxcb

Install libxcb by running the following commands:

    ./configure $XORG_CONFIG      \
                --without-doxygen \
                --docdir='${datadir}'/doc/libxcb-1.17.0 &&
    LC_ALL=en_US.UTF-8 make

To test the results, issue: make check.

Now, as the `root` user:

    make install

If the package was built as a non-`root` user, the installed documentation is now owned by this user. As the `root` user, fix the ownership:

    chown -Rv root:root $XORG_PREFIX/share/doc/libxcb-1.17.0

## Command Explanations

`LC_ALL=en_US.UTF-8`: Some Python 3 script in the building system of this package may fail with certain system locale settings. This environment variable forces a locale setting known to work.

`--without-doxygen`: Do not use doxygen to generate API documentation (default: auto). Without it, if Doxygen-1.13.2 is installed, the API documentation will be generated and installed.

## Contents

Installed Programs: None
Installed Libraries: libxcb.so, libxcb-composite.so, libxcb-damage.so, libxcb-dbe.so, libxcb-dpms.so, libxcb-dri2.so, libxcb-dri3.so, libxcb-glx.so, libxcb-present.so, libxcb-randr.so, libxcb-record.so, libxcb-render.so, libxcb-res.so, libxcb-screensaver.so, libxcb-shape.so, libxcb-shm.so, libxcb-sync.so, libxcb-xf86dri.so, libxcb-xfixes.so, libxcb-xinerama.so, libxcb-xinput.so, libxcb-xkb.so, libxcb-xtest.so, libxcb-xvmc.so, and libxcb-xv.so
Installed Directories: `$XORG_PREFIX`/include/xcb and `$XORG_PREFIX`/share/doc/libxcb-1.17.0

### Short Descriptions

`libxcb.so` | is an interface to the X Window System protocol

- Prev

  xcb-proto-1.17.0

- Next

  Xorg Libraries

- Up
- Home